﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;
using Telerik.Windows.Controls.ChartView;

namespace wpf_ChartView_989047
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ChartPalette palette = new ChartPalette();
            palette.GlobalEntries.Clear();
            palette.SeriesEntries.Clear();
            palette.SeriesEntries.Add(new PaletteEntryCollection());
            palette.SeriesEntries.Add(new PaletteEntryCollection());

            palette.SeriesEntries[0].SeriesFamily = "Line";
            List<Brush> brushes = new List<Brush> { Brushes.Red, Brushes.Green };
            foreach (var brush in brushes)
            {
                PaletteEntry pe = new PaletteEntry(brush, brush);
                palette.SeriesEntries[0].Add(pe);
            }

            palette.SeriesEntries[1].SeriesFamily = "Point";
            palette.SeriesEntries[1].Add(new PaletteEntry(new SolidColorBrush(Colors.Yellow)));
            palette.SeriesEntries[1].Add(new PaletteEntry(new SolidColorBrush(Colors.Purple)));

            this.chart1.Palette = palette;
        }
    }
}
